import { TreeTableHeaderObject } from './tree-table-header-object';
import { TreeTableRow } from './tree-table-row';
import { HttpClient } from '@angular/common/http';
export declare class TreeTableData {
    headers: TreeTableHeaderObject[];
    data: TreeTableRow[];
    isLoading: boolean;
    keyword: string;
    page: number;
    pageSize: number;
    lastParams: any;
    totalRowsCount: number;
    filteredRowsCount: number;
    splashMessageFlag: boolean;
    splashMessageContent: string;
    tokens: any[];
    isAllRowsExpanded: boolean;
    serverConfig: {
        url: any;
        excelExportUrl: any;
        method: any;
        paramNames: {
            page: string;
            limit: string;
            sort: string;
            search: string;
            colSearch: string;
            colFilters: string;
            pageToken: string;
        };
        rowsKey: string;
        totalRowsCountKey: string;
        filteredRowsCountKey: string;
        rowUniqueKey: any;
    };
    config: {
        context: any;
        extraInfos: any[];
        showTableHeaders: boolean;
        columnVisibility: boolean;
        columnVisibilityDropDown: boolean;
        visibleColumnFiltersVisibility: boolean;
        visibleColumnFilters: {};
        showExpandArrows: boolean;
        fullClassName: string;
        sortAscClassName: string;
        sortDescClassName: string;
        sortNothingClassName: string;
        customClassName: any;
        showExpandAllArrows: boolean;
        showExpandAllEmptyChildren: boolean;
        sortedColumn: {};
        showPageLengthDropdown: boolean;
        pageSizes: number[];
        level: number;
        columnFilters: {};
        rowClickablesContext: any;
        rowClickables: {};
        commonSearch: boolean;
        excelExportButton: boolean;
        excelExportFileName: string;
        excelExportButtonText: string;
        excelExportAllChildren: boolean;
        excelExportOnlyExpanded: boolean;
        events: {
            shouldRowExpand: any;
            rowExpanded: any;
            shouldRowCollapse: any;
            rowCollapsed: any;
        };
    };
    loadCounter: number;
    private http;
    constructor(config?: any, serverConfig?: any, http?: HttpClient);
    totalPagesCount(): number;
    getParams(): {};
    loadExcelData(callback?: any): void;
    loadData(callback?: any): void;
    allRowsExpanded(): boolean;
    allRowsCollapsed(): boolean;
    splashMessage(msg: string): void;
}
